Module | Sequel::Plugins::Subclasses::ClassMethods
In: | lib/sequel/plugins/subclasses.rb

### Methods

descendents inherited

### Attributes

subclasses | [R] | All subclasses for the current model. Does not include the model itself.

### Public Instance methods

descendents()

All descendent classes of this model.

[Source]

        # File lib/sequel/plugins/subclasses.rb, line 30
    30:         def descendents
    31:           subclasses.map{|x| [x] + x.descendents}.flatten
    32:         end

inherited(subclass)

Add the subclass to this model‘s current subclasses, and initialize a new subclasses instance variable in the subclass.

[Source]

        # File lib/sequel/plugins/subclasses.rb, line 37
    37:         def inherited(subclass)
    38:           super
    39:           subclasses << subclass
    40:           subclass.instance_variable_set(:@subclasses, [])
    41:         end

[Validate]